-- Camouflaged Mesecons (camomese) Mod by WoGoMo

local version = "0.2.2"

camomese = {  }

function camomese.version ()
	return version
end

local path = core.get_modpath(core.get_current_modname()) .. "/"

dofile(path .. "api.lua")

-- Translation support
local S = core.get_translator("camomese")

-- add mese core nodes
camomese.register_mesecore_nodes("default:stone", S("Mese Core Stone"))
camomese.register_mesecore_nodes("default:cobble", S("Mese Core Cobblestone"))
camomese.register_mesecore_nodes("default:stonebrick", S("Mese Core Stone Brick"))
camomese.register_mesecore_nodes("default:stone_block", S("Mese Core Stone Block"))
camomese.register_mesecore_nodes("default:mossycobble", S("Mese Core Mossy Cobblestone"))
camomese.register_mesecore_nodes("default:desert_stone", S("Mese Core Desert Stone"))
camomese.register_mesecore_nodes("default:desert_cobble", S("Mese Core Desert Cobblestone"))
camomese.register_mesecore_nodes("default:desert_stonebrick", S("Mese Core Desert Stone Brick"))
camomese.register_mesecore_nodes("default:desert_stone_block", S("Mese Core Desert Stone Block"))
camomese.register_mesecore_nodes("default:sandstone", S("Mese Core Sandstone"))
camomese.register_mesecore_nodes("default:sandstonebrick", S("Mese Core Sandstone Brick"))
camomese.register_mesecore_nodes("default:sandstone_block", S("Mese Core Sandstone Block"))
camomese.register_mesecore_nodes("default:desert_sandstone", S("Mese Core Desert Sandstone"))
camomese.register_mesecore_nodes("default:desert_sandstone_brick", S("Mese Core Desert Sandstone Brick"))
camomese.register_mesecore_nodes("default:desert_sandstone_block", S("Mese Core Desert Sandstone Block"))
camomese.register_mesecore_nodes("default:silver_sandstone", S("Mese Core Silver Sandstone"))
camomese.register_mesecore_nodes("default:silver_sandstone_brick", S("Mese Core Silver Sandstone Brick"))
camomese.register_mesecore_nodes("default:silver_sandstone_block", S("Mese Core Silver Sandstone Block"))
camomese.register_mesecore_nodes("default:obsidian", S("Mese Core Obsidian"))
camomese.register_mesecore_nodes("default:obsidianbrick", S("Mese Core Obsidian Brick"))
camomese.register_mesecore_nodes("default:obsidian_block", S("Mese Core Obsidian Block"))
camomese.register_mesecore_nodes("default:tree", S("Mese Core Apple Tree"))
camomese.register_mesecore_nodes("default:wood", S("Mese Core Apple Wood Planks"))
camomese.register_mesecore_nodes("default:jungletree", S("Mese Core Jungle Tree"))
camomese.register_mesecore_nodes("default:junglewood", S("Mese Core Jungle Wood Planks"))
camomese.register_mesecore_nodes("default:pine_tree", S("Mese Core Pine Tree"))
camomese.register_mesecore_nodes("default:pine_wood", S("Mese Core Pine Wood Planks"))
camomese.register_mesecore_nodes("default:acacia_tree", S("Mese Core Acacia Tree"))
camomese.register_mesecore_nodes("default:acacia_wood", S("Mese Core Acacia Wood Planks"))
camomese.register_mesecore_nodes("default:aspen_tree", S("Mese Core Aspen Tree"))
camomese.register_mesecore_nodes("default:aspen_wood", S("Mese Core Aspen Wood Planks"))
camomese.register_mesecore_nodes("default:coalblock", S("Mese Core Coal Block"))
camomese.register_mesecore_nodes("default:steelblock", S("Mese Core Steel Block"))
camomese.register_mesecore_nodes("default:copperblock", S("Mese Core Copper Block"))
camomese.register_mesecore_nodes("default:tinblock", S("Mese Core Tin Block"))
camomese.register_mesecore_nodes("default:bronzeblock", S("Mese Core Bronze Block"))
camomese.register_mesecore_nodes("default:goldblock", S("Mese Core Gold Block"))
camomese.register_mesecore_nodes("default:diamondblock", S("Mese Core Diamond Block"))
camomese.register_mesecore_nodes("default:brick", S("Mese Core Brick Block"))

if core.global_exists ("digilines") then
    camomese.register_digicore_node("default:stone", S("Digiline Core Stone"))
    camomese.register_digicore_node("default:cobble", S("Digiline Core Cobblestone"))
    camomese.register_digicore_node("default:stonebrick", S("Digiline Core Stone Brick"))
    camomese.register_digicore_node("default:stone_block", S("Digiline Core Stone Block"))
    camomese.register_digicore_node("default:mossycobble", S("Digiline Core Mossy Cobblestone"))
    camomese.register_digicore_node("default:desert_stone", S("Digiline Core Desert Stone"))
    camomese.register_digicore_node("default:desert_cobble", S("Digiline Core Desert Cobblestone"))
    camomese.register_digicore_node("default:desert_stonebrick", S("Digiline Core Desert Stone Brick"))
    camomese.register_digicore_node("default:desert_stone_block", S("Digiline Core Desert Stone Block"))
    camomese.register_digicore_node("default:sandstone_block", S("Digiline Core Sandstone Block"))
    camomese.register_digicore_node("default:sandstonebrick", S("Digiline Core Sandstone Brick"))
    camomese.register_digicore_node("default:sandstone", S("Digiline Core Sandstone"))
    camomese.register_digicore_node("default:desert_sandstone", S("Digiline Core Desert Sandstone"))
    camomese.register_digicore_node("default:desert_sandstone_brick", S("Digiline Core Desert Sandstone Brick"))
    camomese.register_digicore_node("default:desert_sandstone_block", S("Digiline Core Desert Sandstone Block"))
    camomese.register_digicore_node("default:silver_sandstone", S("Digiline Core Silver Sandstone"))
    camomese.register_digicore_node("default:silver_sandstone_brick", S("Digiline Core Silver Sandstone Brick"))
    camomese.register_digicore_node("default:silver_sandstone_block", S("Digiline Core Silver Sandstone Block"))
    camomese.register_digicore_node("default:obsidian", S("Digiline Core Obsidian"))
    camomese.register_digicore_node("default:obsidianbrick", S("Digiline Core Obsidian Brick"))
    camomese.register_digicore_node("default:obsidian_block", S("Digiline Core Obsidian Block"))
    camomese.register_digicore_node("default:tree", S("Digiline Core Apple Tree"))
    camomese.register_digicore_node("default:wood", S("Digiline Core Apple Wood Planks"))
    camomese.register_digicore_node("default:jungletree", S("Digiline Core Jungle Tree"))
    camomese.register_digicore_node("default:junglewood", S("Digiline Core Jungle Wood Planks"))
    camomese.register_digicore_node("default:pine_tree", S("Digiline Core Pine Tree"))
    camomese.register_digicore_node("default:pine_wood", S("Digiline Core Pine Wood Planks"))
    camomese.register_digicore_node("default:acacia_tree", S("Digiline Core Acacia Tree"))
    camomese.register_digicore_node("default:acacia_wood", S("Digiline Core Acacia Wood Planks"))
    camomese.register_digicore_node("default:aspen_tree", S("Digiline Core Aspen Tree"))
    camomese.register_digicore_node("default:aspen_wood", S("Digiline Core Aspen Wood Planks"))
    camomese.register_digicore_node("default:coalblock", S("Digiline Core Coal Block"))
    camomese.register_digicore_node("default:steelblock", S("Digiline Core Steel Block"))
    camomese.register_digicore_node("default:copperblock", S("Digiline Core Copper Block"))
    camomese.register_digicore_node("default:tinblock", S("Digiline Core Tin Block"))
    camomese.register_digicore_node("default:bronzeblock", S("Digiline Core Bronze Block"))
    camomese.register_digicore_node("default:goldblock", S("Digiline Core Gold Block"))
    camomese.register_digicore_node("default:diamondblock", S("Digiline Core Diamond Block"))
    camomese.register_digicore_node("default:brick", S("Digiline Core Brick Block"))
end

print("[MOD] Camomese loaded")
